:root {
  --black: #000000;
  --white: #FFFFFF;
  --gray: #858585;
  --white-gray: #E2E2E2;

  --acentos: "Inter", sans-serif;
  --titulos: "Elza Narrow", sans-serif;
  --texto: "Proxima Nova", sans-serif;
  --hispanica: "Oswald", sans-serif;
}

.container-coaches{
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    padding: 60px 20px;
    margin: 100px 3% 50px;
    background: url(../images/assets_coaches/imagenes/fondo_miscoachespag1.png);
    background-size: cover;
    background-position: center;
    border-radius: 15px;
}

.container-coaches-titulo{
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    gap: 10px;
    margin-bottom: 40px;
}

.container-coaches-titulo h2{
    font-family: var(--hispanica);
    font-size: 2rem;
    color: var(--white);
    font-weight: 100;
}

.coaches-cards{
  display: flex;
  justify-content: center;
  gap: 30px;
  align-items: center;
  flex-direction: column;
}

@media (min-width: 768px) {

  .coaches-cards{
    flex-direction: row;
    flex-wrap: wrap;
    gap: 50px 100px;
  }

}

.coach-card{
    display: flex;
    flex-direction: column;
    border-radius: 15px;
    text-align: center;
    width: 300px;
    align-items: center;
    position: relative;
}


.coach-card img{
  position: relative;
  width: 100%;
  border-radius: 15px;

  position: relative;
  max-width: 800px;
  margin: 0 auto;
}

 .coach-info{
  position: absolute;
  text-align: left;
  width: inherit;
  bottom: 0;
  line-height: 1.9rem;
}

.coach-info h3{
    font-family: var(--hispanica);
    font-size: 1.5rem;
    color: var(--black);
    background-color: var(--white);
    margin: 0px 0px 0px 10px;
    padding: 1px 3px;
    width: fit-content;
    transition: .3s ease;
    
}

.coach-info p{
    font-family: var(--hispanica);
    font-size: 2rem;
    color: var(--white);
    margin: 0 0px 25px 10px;
}

.coach-overlay{
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.7);
  color: var(--white);
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  border-radius: 15px;
  padding: 20px;
  box-sizing: border-box;
  opacity: 0;
  transition: .5s ease;
}

.coach-overlay h3{
    font-family: var(--hispanica);
    font-size: 2.5rem;
    line-height: 2.5rem;
    padding: 5px 8px;
    margin-bottom: 10px;
    width: fit-content;
    background-color: var(--white);
    color: var(--black);
}

.coach-overlay p{
    font-family: var(--texto);
    font-size: 1.5rem;
    line-height: 2rem;
}

.coach-card:hover .coach-overlay {
  opacity: 1;
}

.coach-card:hover .coach-info h3 {
  opacity: 0;
}